
<h1 align="center">
   <b>
       Vue Swirl (loading component)
    </b>
</h1>

<p align="center">Easy to use loading animation package in vuejs.</p>

<p align="center">
   • <a href="https://emresolmaz.com.tr"><b>Contact</b></a> 
</p>

<div align="center">

[![npm version](https://img.shields.io/npm/v/vue-swirl.svg?style=flat-square)](https://www.npmjs.com/package/vue-swirl) [![install size](https://img.shields.io/badge/dynamic/json?url=https://packagephobia.com/v2/api.json?p=vue-swirl&query=$.install.pretty&label=install%20size&style=flat-square)](https://packagephobia.now.sh/result?p=vue-swirl) [![npm downloads](https://img.shields.io/npm/dm/vue-swirl.svg?style=flat-square)](https://npm-stat.com/charts.html?package=vue-swirl) [![code coverage](https://img.shields.io/coveralls/mzabriskie/vue-swirl.svg?style=flat-square)](https://coveralls.io/r/mzabriskie/vue-swirl) [![npm bundle size](https://img.shields.io/bundlephobia/minzip/vue-swirl?style=flat-square)](https://bundlephobia.com/package/vue-swirl@latest) [![Known Vulnerabilities](https://snyk.io/test/npm/vue-swirl/badge.svg)](https://snyk.io/test/npm/vue-swirl)

</div>


## Browser Support

![Chrome](https://raw.githubusercontent.com/alrra/browser-logos/main/src/chrome/chrome_48x48.png) | ![Firefox](https://raw.githubusercontent.com/alrra/browser-logos/main/src/firefox/firefox_48x48.png) | ![Safari](https://raw.githubusercontent.com/alrra/browser-logos/main/src/safari/safari_48x48.png) | ![Opera](https://raw.githubusercontent.com/alrra/browser-logos/main/src/opera/opera_48x48.png) | ![Edge](https://raw.githubusercontent.com/alrra/browser-logos/main/src/edge/edge_48x48.png) | ![IE](https://raw.githubusercontent.com/alrra/browser-logos/master/src/archive/internet-explorer_9-11/internet-explorer_9-11_48x48.png) |
--- | --- | --- | --- | --- | --- |
Latest ✔ | Latest ✔ | Latest ✔ | Latest ✔ | Latest ✔ | 11 ✔ |


## Installing

### Package manager

Using npm:

```bash
$ npm install vue-swirl
```

Using yarn:

```bash
$ yarn add vue-swirl
```


After the package is installed, include it in your project using `import` or `require` in the main.js folder in the main directory:

```js
import VueSwirl from 'vue-swirl';
```

then use the folder you imported into the same folder `(main.js)`:

```js
app.use(VueSwirl);
// Or
appInstance.use(VueSwirl);
```


### Usage
To use this package, after completing the import, enter any component and add `<vue-swirl></vue-swirl>` to the beginning of any element.

```html
<template>
    <div>
        <h1>Vue Swirl!</h1>
        <vue-swirl>   
            <p>A best loading package.</p>
        </vue-swirl>   
    </div>
</templa
```

#### type
* block
* circle (default)
* bars
* dots

#### color
* the code of each color you want or its full name in `html`. (red, #FFFF ..)
* `#191919` default

## Example
```html
    <vue-swirl type="block" color="#191919">   
        /////
    </vue-swirl>   
```


## Resources

* [Website](https://emresolmaz.com.tr)
* [VueJs](https://vuejs.org)
* [Vite](https://vitejs.dev)
* [Volar](https://marketplace.visualstudio.com/items?itemName=Vue.volar)

## Credits

vue-swirl is heavily influenced by loading `gifs` and `.svg` animations

## License

[emresolmaz.com.tr](https://emresolmaz.com.tr)
